package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class IstruzioniEstrazioneDistinteBanca.
 * @see sicura.entities.IstruzioniEstrazioneDistinteBanca
 * @author Hibernate Tools
 */
@Stateless
public class IstruzioniEstrazioneDistinteBancaHome {

	private static final Log log = LogFactory.getLog(IstruzioniEstrazioneDistinteBancaHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(IstruzioniEstrazioneDistinteBanca transientInstance) {
		log.debug("persisting IstruzioniEstrazioneDistinteBanca instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(IstruzioniEstrazioneDistinteBanca persistentInstance) {
		log.debug("removing IstruzioniEstrazioneDistinteBanca instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public IstruzioniEstrazioneDistinteBanca merge(IstruzioniEstrazioneDistinteBanca detachedInstance) {
		log.debug("merging IstruzioniEstrazioneDistinteBanca instance");
		try {
			IstruzioniEstrazioneDistinteBanca result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public IstruzioniEstrazioneDistinteBanca findById(Integer id) {
		log.debug("getting IstruzioniEstrazioneDistinteBanca instance with id: " + id);
		try {
			IstruzioniEstrazioneDistinteBanca instance = entityManager.find(IstruzioniEstrazioneDistinteBanca.class,
					id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
